#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 z-dns-z-dns-internal
version:              4.0.1
package-name:         dns
lib-name:             dns-internal
id:                   dns-4.0.1-HgpI71HRg9bDaskNWOGUFT-dns-internal
key:                  dns-4.0.1-HgpI71HRg9bDaskNWOGUFT-dns-internal
license:              BSD-3-Clause
maintainer:           Kazu Yamamoto <kazu@iij.ad.jp>
author:               Kazu Yamamoto <kazu@iij.ad.jp>
synopsis:             DNS library in Haskell
description:
    A thread-safe DNS library for both clients and servers written
    in pure Haskell.

category:             Network
abi:                  beb42faec55ca5eb7e2893a9c5b292d0
exposed-modules:
    Network.DNS.Base32Hex Network.DNS.Decode.Internal
    Network.DNS.Decode.Parsers Network.DNS.Encode.Builders
    Network.DNS.Encode.Internal Network.DNS.Imports Network.DNS.Memo
    Network.DNS.Resolver.Internal Network.DNS.StateBinary
    Network.DNS.Types.Internal Network.DNS.Types.Resolver

import-dirs:          /usr/lib/ghc-8.10.4/site-local/dns-4.0.1
library-dirs:         /usr/lib/ghc-8.10.4/site-local/dns-4.0.1
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/x86_64-linux-ghc-8.10.4/dns-4.0.1
hs-libraries:         HSdns-4.0.1-HgpI71HRg9bDaskNWOGUFT-dns-internal
depends:
    array-0.5.4.0 async-2.2.3-EZZT7wQnIBTGEUrsu0pZys
    attoparsec-0.14.1-Dlm5EB3n5xmG4Iku2w73OX
    auto-update-0.1.6-3rfV0oeBaPp9X330oUm2q7 base-4.14.1.0
    base16-bytestring-1.0.1.0-Hbpe1ak8aStK9x7dEuqbKO
    base64-bytestring-1.2.0.1-2bY5V3UfSKjAiAmb0llGpD
    bytestring-0.10.12.0 containers-0.6.2.1
    cryptonite-0.29-1OZ7ffXvT3L6hDppZ5ZRsc
    hourglass-0.2.12-GMo74hYlM75GtBRzlPLoLQ
    iproute-1.7.11-92pwnouopAuXesdPtdbMd mtl-2.2.2
    network-3.1.2.1-FFPh7xoS2oFG4R5fZE4ulG
    psqueues-0.2.7.2-7AORFFVGXKWCBDWyZVQPlf

haddock-interfaces:   /usr/share/doc/haskell-dns/html/dns.haddock
haddock-html:         /usr/share/doc/haskell-dns/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 dns
version:              4.0.1
visibility:           public
id:                   dns-4.0.1-HeQeiGDQILMGUHvS3exVys
key:                  dns-4.0.1-HeQeiGDQILMGUHvS3exVys
license:              BSD-3-Clause
maintainer:           Kazu Yamamoto <kazu@iij.ad.jp>
author:               Kazu Yamamoto <kazu@iij.ad.jp>
synopsis:             DNS library in Haskell
description:
    A thread-safe DNS library for both clients and servers written
    in pure Haskell.

category:             Network
abi:                  3e697df12d808edf9cfa8023a68c5f5f
exposed:              True
exposed-modules:
    Network.DNS Network.DNS.Decode Network.DNS.Encode Network.DNS.IO
    Network.DNS.Lookup Network.DNS.LookupRaw Network.DNS.Resolver
    Network.DNS.Types Network.DNS.Utils

hidden-modules:       Network.DNS.Transport
import-dirs:          /usr/lib/ghc-8.10.4/site-local/dns-4.0.1
library-dirs:         /usr/lib/ghc-8.10.4/site-local/dns-4.0.1
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/x86_64-linux-ghc-8.10.4/dns-4.0.1
hs-libraries:         HSdns-4.0.1-HeQeiGDQILMGUHvS3exVys
depends:
    array-0.5.4.0 async-2.2.3-EZZT7wQnIBTGEUrsu0pZys
    attoparsec-0.14.1-Dlm5EB3n5xmG4Iku2w73OX
    auto-update-0.1.6-3rfV0oeBaPp9X330oUm2q7 base-4.14.1.0
    base16-bytestring-1.0.1.0-Hbpe1ak8aStK9x7dEuqbKO
    base64-bytestring-1.2.0.1-2bY5V3UfSKjAiAmb0llGpD
    bytestring-0.10.12.0 containers-0.6.2.1
    cryptonite-0.29-1OZ7ffXvT3L6hDppZ5ZRsc
    dns-4.0.1-HgpI71HRg9bDaskNWOGUFT-dns-internal
    hourglass-0.2.12-GMo74hYlM75GtBRzlPLoLQ
    iproute-1.7.11-92pwnouopAuXesdPtdbMd mtl-2.2.2
    network-3.1.2.1-FFPh7xoS2oFG4R5fZE4ulG
    psqueues-0.2.7.2-7AORFFVGXKWCBDWyZVQPlf

haddock-interfaces:   /usr/share/doc/haskell-dns/html/dns.haddock
haddock-html:         /usr/share/doc/haskell-dns/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

